Odoo 14 Accounting

by ,
Odoo 29
v 14.0 Third Party 18281
Download for v 14.0 Deploy on Odoo.sh Live Preview
Required Apps Invoicing (account)
Included Dependencies
Odoo 14 Accounting PDF Reports (2035 lines of code)
Odoo 14 Assets Management (1404 lines of code)
Odoo 14 Budget Management (625 lines of code)
Lines of code 4276
Technical Name om_account_accountant
LicenseLGPL-3
Also available in version v 13.0 v 12.0
You bought this module and need support? Click here!
Required Apps Invoicing (account)
Included Dependencies
Odoo 14 Accounting PDF Reports (2035 lines of code)
Odoo 14 Assets Management (1404 lines of code)
Odoo 14 Budget Management (625 lines of code)
Lines of code 4276
Technical Name om_account_accountant
LicenseLGPL-3
Also available in version v 13.0 v 12.0

Odoo 14 Accounting Management

Accounting Report - Partner Ledger, General Ledger, Trial Balance etc.


Asset Management.


Budget Management.



Accounting Reports

Asset Management

Budget Management

Fiscal Year and Period Closing



If you need any help or want more features, just contact us:


Email: odoomates@gmail.com



Odoo 14 Accounting

This Module will bring back the accounting features such as Account Reports, Asset Management and Budget Management into Odoo 14 Community Edition

Installation

To install this module, you need to:

Download the module and add it to your Odoo addons folder. Afterward, log on to your Odoo server and go to the Apps menu. Trigger the debug mode and update the list by clicking on the "Update Apps List" link. Now install the module by clicking on the install button.

Upgrade

To upgrade this module, you need to:

Download the module and add it to your Odoo addons folder. Restart the server and log on to your Odoo server. Select the Apps menu and upgrade the module by clicking on the upgrade button.

Configuration

There is Nothing to Configure

Credits

Contributors

Author & Maintainer

This module is maintained by the Odoo Mates

Please log in to comment on this module

  • The author can leave a single reply to each comment.
  • This section is meant to ask simple questions or leave a rating. Every report of a problem experienced while using the module should be addressed to the author directly (refer to the following point).
  • If you want to start a discussion with the author, please use the developer contact information. They can usually be found in the description.
Please choose a rating from 1 to 5 for this module.
Bank Reconciliation
by
w.samman@witforms.com
on 10/23/20, 9:00 AM

Dear,

First thanks for this amazing module.

I'm new 

 in development odoo, is there any way to reconciliation with bank statements 

and can I connect with my bank with this module or I have to upgrade to enterprise versions

Thanks,


Thanks to the development team.
by
Xu Ke
on 10/20/20, 9:47 AM

I have installed this app in Odoo 14, but after installation, when I create a new asset type, return error
"Error: While parsing modifiers for field method_number: for modifier "invisible": invalid domain ["|",["method_time","!=","number"],"&",["type","=",false]] (missing 1 segment(s))

    at Class._registerModifiers (http://www.ec2star.com/web/content/102-3696189/web.assets_backend.js:1659:160)
    at Class._renderFieldWidget (http://www.ec2star.com/web/content/102-3696189/web.assets_backend.js:1667:247)
    at Class._renderFieldWidget (http://www.ec2star.com/web/content/102-3696189/web.assets_backend.js:2234:13)
    at Class.prototype.<computed> [as _renderFieldWidget] (http://www.ec2star.com/web/content/99-dd739b7/web.assets_common.js:4603:488)
    at Class._renderInnerGroupField (http://www.ec2star.com/web/content/102-3696189/web.assets_backend.js:2244:381)
    at http://www.ec2star.com/web/content/102-3696189/web.assets_backend.js:2241:44
    at Array.forEach (<anonymous>)
    at Class._renderInnerGroup (http://www.ec2star.com/web/content/102-3696189/web.assets_backend.js:2238:75)
    at Class._renderTagGroup (http://www.ec2star.com/web/content/102-3696189/web.assets_backend.js:2254:248) 

    at Class._renderNode (http://www.ec2star.com/web/content/102-3696189/web.assets_backend.js:2246:244)"

Re: Thanks to the development team.
by
Odoo Mates
on 10/20/20, 12:46 PM Author

Hi,

Can you tell us when you get the above error ? Nice if you can share more details to odoomates@gmail.com.


Thanks


Great! Thanks to the development team.
by
Chinh
on 10/6/20, 7:12 PM

Thank you very much for this application.


Very good Accounting App
by
Joe Munardi
on 10/3/20, 11:24 PM

I have installed this app in Odoo 14, but after installation, "Setting" returns error. If uninstalled, Setting returns to normal. Error message: File "/Users/xxx/odoo14/odoo/addons/base/models/ir_model.py", line 1875, in xmlid_lookup

  raise ValueError('External ID not found in the system: %s' % xmlid) Exception.

Really appreciate it if you could fix this error.

Thank you.

Re: Very good Accounting App
by
Odoo Mates
on 10/5/20, 10:23 PM Author

Thanks for reporting, it has been resolved. Please get the latest version and check and let us know.


by
Ziad Habiba
on 10/3/20, 8:12 PM



when I install Employee App
by
Chinh
on 10/6/20, 6:55 AM

Error:

Odoo Server Error


Traceback (most recent call last):

  File "/odoo/odoo-server/odoo/addons/base/models/ir_http.py", line 237, in _dispatch

    result = request.dispatch()

  File "/odoo/odoo-server/odoo/http.py", line 682, in dispatch

    result = self._call_function(**self.params)

  File "/odoo/odoo-server/odoo/http.py", line 358, in _call_function

    return checked_call(self.db, *args, **kwargs)

  File "/odoo/odoo-server/odoo/service/model.py", line 94, in wrapper

    return f(dbname, *args, **kwargs)

  File "/odoo/odoo-server/odoo/http.py", line 346, in checked_call

    result = self.endpoint(*a, **kw)

  File "/odoo/odoo-server/odoo/http.py", line 911, in __call__

    return self.method(*args, **kw)

  File "/odoo/odoo-server/odoo/http.py", line 530, in response_wrap

    response = f(*args, **kw)

  File "/odoo/odoo-server/addons/web/controllers/main.py", line 1363, in call_button

    action = self._call_kw(model, method, args, kwargs)

  File "/odoo/odoo-server/addons/web/controllers/main.py", line 1351, in _call_kw

    return call_kw(request.env[model], method, args, kwargs)

  File "/odoo/odoo-server/odoo/api.py", line 396, in call_kw

    result = _call_kw_multi(method, model, args, kwargs)

  File "/odoo/odoo-server/odoo/api.py", line 383, in _call_kw_multi

    result = method(recs, *args, **kwargs)

  File "<decorator-gen-72>", line 2, in button_immediate_install

  File "/odoo/odoo-server/odoo/addons/base/models/ir_module.py", line 73, in check_and_log

    return method(self, *args, **kwargs)

  File "/odoo/odoo-server/odoo/addons/base/models/ir_module.py", line 474, in button_immediate_install

    return self._button_immediate_function(type(self).button_install)

  File "/odoo/odoo-server/odoo/addons/base/models/ir_module.py", line 592, in _button_immediate_function

    modules.registry.Registry.new(self._cr.dbname, update_module=True)

  File "/odoo/odoo-server/odoo/modules/registry.py", line 89, in new

    odoo.modules.load_modules(registry._db, force_demo, status, update_module)

  File "/odoo/odoo-server/odoo/modules/loading.py", line 455, in load_modules

    loaded_modules, update_module, models_to_check)

  File "/odoo/odoo-server/odoo/modules/loading.py", line 348, in load_marked_modules

    perform_checks=perform_checks, models_to_check=models_to_check

  File "/odoo/odoo-server/odoo/modules/loading.py", line 198, in load_module_graph

    registry.init_models(cr, model_names, {'module': package.name}, new_install)

  File "/odoo/odoo-server/odoo/modules/registry.py", line 389, in init_models

    model._auto_init()

  File "/odoo/odoo-server/odoo/models.py", line 2577, in _auto_init

    new = field.update_db(self, columns)

  File "/odoo/odoo-server/odoo/fields.py", line 2535, in update_db

    raise ValueError('Many2one %s from Model to TransientModel is forbidden' % self)

Exception


The above exception was the direct cause of the following exception:


Traceback (most recent call last):

  File "/odoo/odoo-server/odoo/http.py", line 638, in _handle_exception

    return super(JsonRequest, self)._handle_exception(exception)

  File "/odoo/odoo-server/odoo/http.py", line 314, in _handle_exception

    raise exception.with_traceback(None) from new_cause

ValueError: Many2one account.tax.report.line.report_id from Model to TransientModel is forbidden

Re: when I install Employee App
by
Odoo Mates
on 10/6/20, 1:29 PM Author

Hi,

We will check this out, it will be nice if you can post one error one time rather than twice. Also try to post only last couple of line in the error message. If you need to show us the issue in detail, post mail to odoomates@gmail.com or raise issue in git repo.


Thanks


error when I click to install Expenses Model
by
Chinh
on 10/6/20, 6:53 AM

Error:

Odoo Server Error


Traceback (most recent call last):

  File "/odoo/odoo-server/odoo/addons/base/models/ir_http.py", line 237, in _dispatch

    result = request.dispatch()

  File "/odoo/odoo-server/odoo/http.py", line 682, in dispatch

    result = self._call_function(**self.params)

  File "/odoo/odoo-server/odoo/http.py", line 358, in _call_function

    return checked_call(self.db, *args, **kwargs)

  File "/odoo/odoo-server/odoo/service/model.py", line 94, in wrapper

    return f(dbname, *args, **kwargs)

  File "/odoo/odoo-server/odoo/http.py", line 346, in checked_call

    result = self.endpoint(*a, **kw)

  File "/odoo/odoo-server/odoo/http.py", line 911, in __call__

    return self.method(*args, **kw)

  File "/odoo/odoo-server/odoo/http.py", line 530, in response_wrap

    response = f(*args, **kw)

  File "/odoo/odoo-server/addons/web/controllers/main.py", line 1363, in call_button

    action = self._call_kw(model, method, args, kwargs)

  File "/odoo/odoo-server/addons/web/controllers/main.py", line 1351, in _call_kw

    return call_kw(request.env[model], method, args, kwargs)

  File "/odoo/odoo-server/odoo/api.py", line 396, in call_kw

    result = _call_kw_multi(method, model, args, kwargs)

  File "/odoo/odoo-server/odoo/api.py", line 383, in _call_kw_multi

    result = method(recs, *args, **kwargs)

  File "<decorator-gen-72>", line 2, in button_immediate_install

  File "/odoo/odoo-server/odoo/addons/base/models/ir_module.py", line 73, in check_and_log

    return method(self, *args, **kwargs)

  File "/odoo/odoo-server/odoo/addons/base/models/ir_module.py", line 474, in button_immediate_install

    return self._button_immediate_function(type(self).button_install)

  File "/odoo/odoo-server/odoo/addons/base/models/ir_module.py", line 592, in _button_immediate_function

    modules.registry.Registry.new(self._cr.dbname, update_module=True)

  File "/odoo/odoo-server/odoo/modules/registry.py", line 89, in new

    odoo.modules.load_modules(registry._db, force_demo, status, update_module)

  File "/odoo/odoo-server/odoo/modules/loading.py", line 455, in load_modules

    loaded_modules, update_module, models_to_check)

  File "/odoo/odoo-server/odoo/modules/loading.py", line 348, in load_marked_modules

    perform_checks=perform_checks, models_to_check=models_to_check

  File "/odoo/odoo-server/odoo/modules/loading.py", line 198, in load_module_graph

    registry.init_models(cr, model_names, {'module': package.name}, new_install)

  File "/odoo/odoo-server/odoo/modules/registry.py", line 389, in init_models

    model._auto_init()

  File "/odoo/odoo-server/odoo/models.py", line 2577, in _auto_init

    new = field.update_db(self, columns)

  File "/odoo/odoo-server/odoo/fields.py", line 2535, in update_db

    raise ValueError('Many2one %s from Model to TransientModel is forbidden' % self)

Exception


The above exception was the direct cause of the following exception:


Traceback (most recent call last):

  File "/odoo/odoo-server/odoo/http.py", line 638, in _handle_exception

    return super(JsonRequest, self)._handle_exception(exception)

  File "/odoo/odoo-server/odoo/http.py", line 314, in _handle_exception

    raise exception.with_traceback(None) from new_cause

ValueError: Many2one account.tax.report.line.report_id from Model to TransientModel is forbidden


I still have the same problem again with new version: om_account_accountant-14.0.2.1.0.zip
by
Chinh
on 10/6/20, 3:51 AM

Error:

Odoo Server Error


Traceback (most recent call last):

  File "/odoo/odoo-server/odoo/addons/base/models/ir_http.py", line 237, in _dispatch

    result = request.dispatch()

  File "/odoo/odoo-server/odoo/http.py", line 682, in dispatch

    result = self._call_function(**self.params)

  File "/odoo/odoo-server/odoo/http.py", line 358, in _call_function

    return checked_call(self.db, *args, **kwargs)

  File "/odoo/odoo-server/odoo/service/model.py", line 94, in wrapper

    return f(dbname, *args, **kwargs)

  File "/odoo/odoo-server/odoo/http.py", line 346, in checked_call

    result = self.endpoint(*a, **kw)

  File "/odoo/odoo-server/odoo/http.py", line 911, in __call__

    return self.method(*args, **kw)

  File "/odoo/odoo-server/odoo/http.py", line 530, in response_wrap

    response = f(*args, **kw)

  File "/odoo/odoo-server/addons/web/controllers/main.py", line 1359, in call_kw

    return self._call_kw(model, method, args, kwargs)

  File "/odoo/odoo-server/addons/web/controllers/main.py", line 1351, in _call_kw

    return call_kw(request.env[model], method, args, kwargs)

  File "/odoo/odoo-server/odoo/api.py", line 396, in call_kw

    result = _call_kw_multi(method, model, args, kwargs)

  File "/odoo/odoo-server/odoo/api.py", line 383, in _call_kw_multi

    result = method(recs, *args, **kwargs)

  File "/odoo/odoo-server/odoo/models.py", line 6057, in onchange

    for name in nametree

  File "/odoo/odoo-server/odoo/addons/base/models/res_config.py", line 496, in default_get

    classified = self._get_classified_fields()

  File "/odoo/odoo-server/odoo/addons/base/models/res_config.py", line 471, in _get_classified_fields

    groups.append((name, field_groups, ref(field.implied_group)))

  File "/odoo/odoo-server/odoo/api.py", line 511, in ref

    return self['ir.model.data'].xmlid_to_object(xml_id, raise_if_not_found=raise_if_not_found)

  File "/odoo/odoo-server/odoo/addons/base/models/ir_model.py", line 1898, in xmlid_to_object

    t = self.xmlid_to_res_model_res_id(xmlid, raise_if_not_found)

  File "/odoo/odoo-server/odoo/addons/base/models/ir_model.py", line 1882, in xmlid_to_res_model_res_id

    return self.xmlid_lookup(xmlid)[1:3]

  File "<decorator-gen-36>", line 2, in xmlid_lookup

  File "/odoo/odoo-server/odoo/tools/cache.py", line 90, in lookup

    value = d[key] = self.method(*args, **kwargs)

  File "/odoo/odoo-server/odoo/addons/base/models/ir_model.py", line 1875, in xmlid_lookup

    raise ValueError('External ID not found in the system: %s' % xmlid)

Exception


The above exception was the direct cause of the following exception:


Traceback (most recent call last):

  File "/odoo/odoo-server/odoo/http.py", line 638, in _handle_exception

    return super(JsonRequest, self)._handle_exception(exception)

  File "/odoo/odoo-server/odoo/http.py", line 314, in _handle_exception

    raise exception.with_traceback(None) from new_cause

ValueError: External ID not found in the system: account.group_fiscal_year

Re: I still have the same problem again with new version: om_account_accountant-14.0.2.1.0.zip
by
Odoo Mates
on 10/6/20, 1:30 PM Author

You might not restarted the service. So restart service and try again.


Thanks


Addon issue
by
Darryl Gulson
on 10/6/20, 3:18 AM

I cannot activate Chart of Accounts due to the following error.


"Error:

Odoo Server Error


Traceback (most recent call last):

  File "C:\Program Files\Odoo 14.0.20201006\server\odoo\addons\base\models\ir_http.py", line 237, in _dispatch

    result = request.dispatch()

  File "C:\Program Files\Odoo 14.0.20201006\server\odoo\http.py", line 682, in dispatch

    result = self._call_function(**self.params)

  File "C:\Program Files\Odoo 14.0.20201006\server\odoo\http.py", line 358, in _call_function

    return checked_call(self.db, *args, **kwargs)

  File "C:\Program Files\Odoo 14.0.20201006\server\odoo\service\model.py", line 94, in wrapper

    return f(dbname, *args, **kwargs)

  File "C:\Program Files\Odoo 14.0.20201006\server\odoo\http.py", line 346, in checked_call

    result = self.endpoint(*a, **kw)

  File "C:\Program Files\Odoo 14.0.20201006\server\odoo\http.py", line 911, in __call__

    return self.method(*args, **kw)

  File "C:\Program Files\Odoo 14.0.20201006\server\odoo\http.py", line 530, in response_wrap

    response = f(*args, **kw)

  File "C:\Program Files\Odoo 14.0.20201006\server\odoo\addons\web\controllers\main.py", line 1363, in call_button

    action = self._call_kw(model, method, args, kwargs)

  File "C:\Program Files\Odoo 14.0.20201006\server\odoo\addons\web\controllers\main.py", line 1351, in _call_kw

    return call_kw(request.env[model], method, args, kwargs)

  File "C:\Program Files\Odoo 14.0.20201006\server\odoo\api.py", line 396, in call_kw

    result = _call_kw_multi(method, model, args, kwargs)

  File "C:\Program Files\Odoo 14.0.20201006\server\odoo\api.py", line 383, in _call_kw_multi

    result = method(recs, *args, **kwargs)

  File "<decorator-gen-71>", line 2, in button_immediate_install

  File "C:\Program Files\Odoo 14.0.20201006\server\odoo\addons\base\models\ir_module.py", line 73, in check_and_log

    return method(self, *args, **kwargs)

  File "C:\Program Files\Odoo 14.0.20201006\server\odoo\addons\base\models\ir_module.py", line 474, in button_immediate_install

    return self._button_immediate_function(type(self).button_install)

  File "C:\Program Files\Odoo 14.0.20201006\server\odoo\addons\base\models\ir_module.py", line 592, in _button_immediate_function

    modules.registry.Registry.new(self._cr.dbname, update_module=True)

  File "C:\Program Files\Odoo 14.0.20201006\server\odoo\modules\registry.py", line 89, in new

    odoo.modules.load_modules(registry._db, force_demo, status, update_module)

  File "C:\Program Files\Odoo 14.0.20201006\server\odoo\modules\loading.py", line 455, in load_modules

    loaded_modules, update_module, models_to_check)

  File "C:\Program Files\Odoo 14.0.20201006\server\odoo\modules\loading.py", line 348, in load_marked_modules

    perform_checks=perform_checks, models_to_check=models_to_check

  File "C:\Program Files\Odoo 14.0.20201006\server\odoo\modules\loading.py", line 198, in load_module_graph

    registry.init_models(cr, model_names, {'module': package.name}, new_install)

  File "C:\Program Files\Odoo 14.0.20201006\server\odoo\modules\registry.py", line 389, in init_models

    model._auto_init()

  File "C:\Program Files\Odoo 14.0.20201006\server\odoo\models.py", line 2577, in _auto_init

    new = field.update_db(self, columns)

  File "C:\Program Files\Odoo 14.0.20201006\server\odoo\fields.py", line 2535, in update_db

    raise ValueError('Many2one %s from Model to TransientModel is forbidden' % self)

Exception


The above exception was the direct cause of the following exception:


Traceback (most recent call last):

  File "C:\Program Files\Odoo 14.0.20201006\server\odoo\http.py", line 638, in _handle_exception

    return super(JsonRequest, self)._handle_exception(exception)

  File "C:\Program Files\Odoo 14.0.20201006\server\odoo\http.py", line 314, in _handle_exception

    raise exception.with_traceback(None) from new_cause

ValueError: Many2one account.tax.report.line.report_id from Model to TransientModel is forbidden"


Thanks in advance

Darryl

Re: Addon issue
by
Odoo Mates
on 10/6/20, 1:28 PM Author

Hi,

Can you record a video and help us to reproduce this issue? Hope you can send a screen cast to odoomates@gmail.com, so that we can check it out.


Thanks


error when I click Setting menu
by
Chinh
on 10/5/20, 12:53 PM

Error:

Odoo Server Error


Traceback (most recent call last):

  File "/odoo/odoo-server/odoo/addons/base/models/ir_http.py", line 237, in _dispatch

    result = request.dispatch()

  File "/odoo/odoo-server/odoo/http.py", line 682, in dispatch

    result = self._call_function(**self.params)

  File "/odoo/odoo-server/odoo/http.py", line 358, in _call_function

    return checked_call(self.db, *args, **kwargs)

  File "/odoo/odoo-server/odoo/service/model.py", line 94, in wrapper

    return f(dbname, *args, **kwargs)

  File "/odoo/odoo-server/odoo/http.py", line 346, in checked_call

    result = self.endpoint(*a, **kw)

  File "/odoo/odoo-server/odoo/http.py", line 911, in __call__

    return self.method(*args, **kw)

  File "/odoo/odoo-server/odoo/http.py", line 530, in response_wrap

    response = f(*args, **kw)

  File "/odoo/odoo-server/addons/web/controllers/main.py", line 1359, in call_kw

    return self._call_kw(model, method, args, kwargs)

  File "/odoo/odoo-server/addons/web/controllers/main.py", line 1351, in _call_kw

    return call_kw(request.env[model], method, args, kwargs)

  File "/odoo/odoo-server/odoo/api.py", line 396, in call_kw

    result = _call_kw_multi(method, model, args, kwargs)

  File "/odoo/odoo-server/odoo/api.py", line 383, in _call_kw_multi

    result = method(recs, *args, **kwargs)

  File "/odoo/odoo-server/odoo/models.py", line 6057, in onchange

    for name in nametree

  File "/odoo/odoo-server/odoo/addons/base/models/res_config.py", line 496, in default_get

    classified = self._get_classified_fields()

  File "/odoo/odoo-server/odoo/addons/base/models/res_config.py", line 471, in _get_classified_fields

    groups.append((name, field_groups, ref(field.implied_group)))

  File "/odoo/odoo-server/odoo/api.py", line 511, in ref

    return self['ir.model.data'].xmlid_to_object(xml_id, raise_if_not_found=raise_if_not_found)

  File "/odoo/odoo-server/odoo/addons/base/models/ir_model.py", line 1898, in xmlid_to_object

    t = self.xmlid_to_res_model_res_id(xmlid, raise_if_not_found)

  File "/odoo/odoo-server/odoo/addons/base/models/ir_model.py", line 1882, in xmlid_to_res_model_res_id

    return self.xmlid_lookup(xmlid)[1:3]

  File "<decorator-gen-36>", line 2, in xmlid_lookup

  File "/odoo/odoo-server/odoo/tools/cache.py", line 90, in lookup

    value = d[key] = self.method(*args, **kwargs)

  File "/odoo/odoo-server/odoo/addons/base/models/ir_model.py", line 1875, in xmlid_lookup

    raise ValueError('External ID not found in the system: %s' % xmlid)

Exception


The above exception was the direct cause of the following exception:


Traceback (most recent call last):

  File "/odoo/odoo-server/odoo/http.py", line 638, in _handle_exception

    return super(JsonRequest, self)._handle_exception(exception)

  File "/odoo/odoo-server/odoo/http.py", line 314, in _handle_exception

    raise exception.with_traceback(None) from new_cause

ValueError: External ID not found in the system: account.group_fiscal_year

Re: error when I click Setting menu
by
Odoo Mates
on 10/5/20, 10:23 PM Author

Thanks for reporting, it has been resolved. Please get the latest version and check and let us know.


by
Ziad Habiba
on 10/3/20, 8:12 PM



by
Ziad Habiba
on 10/3/20, 8:11 PM